import {shallow} from 'enzyme';
import React from 'react';

import * as AppLoader from 'src/main/components/AppLoader';

describe('src/main/components/AppLoader', () => {
  describe('AppLoader', () => {
    it('allows passing an arbitrary class name', () => {
      // Given
      const component = shallow(
        <AppLoader.AppLoader className="test" />
      );

      // Then
      expect(component.hasClass('test')).toBe(true);
    });
  });
});
